Package org.jbpm.services.ejb.remote.api

## Class RemoteMap

- java.lang.Object
- - org.jbpm.services.ejb.remote.api.AbstractRemoteObject
  - - org.jbpm.services.ejb.remote.api.RemoteMap

- All Implemented Interfaces:
    `Serializable`, `Map<String,​Object>`

      public class RemoteMap
      extends AbstractRemoteObject
      implements Map<String,​Object>, Serializable

  Dedicated `Map` implementation to simplify remote invocation of service methods that accept custom object input. This map is backed by an internal map that holds already serialized content to avoid additional serialization on sending time. That removes the burden of ensuring that container will know about all custom data model classes as part of global classpath. This implementation does not support all methods that are usually not used when sending data. It shall be considered only as a wrapper and not actual and complete implementation of a map.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K extends Object,​V extends Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RemoteMap()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `boolean` | `containsKey​(Object key)` |
    `boolean` | `containsValue​(Object arg0)` |
    `Set<Map.Entry<String,​Object>>` | `entrySet()` |
    `Object` | `get​(Object key)` |
    `boolean` | `isEmpty()` |
    `Set<String>` | `keySet()` |
    `Object` | `put​(String key, Object value)` |
    `void` | `putAll​(Map<? extends String,​? extends Object> input)` |
    `Object` | `remove​(Object key)` |
    `int` | `size()` |
    `Collection<Object>` | `values()` |

    - ### Methods inherited from class org.jbpm.services.ejb.remote.api.AbstractRemoteObject

      `deserialize, serialize, setClassLoader`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### RemoteMap

          public RemoteMap()

  - ### Method Detail

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Map<String,​Object>`

    - #### containsKey

          public boolean containsKey​(Object key)

      Specified by:
        `containsKey` in interface `Map<String,​Object>`

    - #### get

          public Object get​(Object key)

      Specified by:
        `get` in interface `Map<String,​Object>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Map<String,​Object>`

    - #### keySet

          public Set<String> keySet()

      Specified by:
        `keySet` in interface `Map<String,​Object>`

    - #### put

          public Object put​(String key,
                            Object value)

      Specified by:
        `put` in interface `Map<String,​Object>`

    - #### putAll

          public void putAll​(Map<? extends String,​? extends Object> input)

      Specified by:
        `putAll` in interface `Map<String,​Object>`

    - #### remove

          public Object remove​(Object key)

      Specified by:
        `remove` in interface `Map<String,​Object>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `Map<String,​Object>`

    - #### values

          public Collection<Object> values()

      Specified by:
        `values` in interface `Map<String,​Object>`

    - #### containsValue

          public boolean containsValue​(Object arg0)

      Specified by:
        `containsValue` in interface `Map<String,​Object>`

    - #### entrySet

          public Set<Map.Entry<String,​Object>> entrySet()

      Specified by:
        `entrySet` in interface `Map<String,​Object>`